GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

      • Management module

        • Manage users

        • Management Roles

        • Manage user groups

        • Manage custom fields

        • Manage Resources and Permissions

        • Manage data resources and permissions

          • Create permission space
          • Batch create permission spaces
          • Get permission space details
          • Batch get permission space details list
          • Paged get permission space list
          • Modify Permission Space
          • Delete Permission Space
          • Batch Delete Permission Space
          • Check whether the permission space Code or name is available
          • Paginated query of all roles in the permission space
          • Create data resources
          • Create string data resources
          • Create array data resources
          • Create tree data resources
          • Get data resource list
          • Get data resource information
          • Modify data resources
          • Delete data resources
          • Check data resource name or Code Is it available
          • Create data resource extension fields
          • Batch create data resource extension fields
          • Delete data resource extension fields
          • Modify data resource extension fields
          • Get data resource extension field list
          • Create data policy
          • Get data policy list
          • Get a list of simple data policy information
          • Get data policy information
          • Modify data policy
          • Delete data policy
          • Check whether the data policy name exists
          • Get all the information of the authorized subjects under the data policy
          • Authorize Data Policy
          • Revoke Data Policy
          • Get User Permission List
          • Judge user permissions
          • Judge external user permissions
          • Get user-specified resource permission list
          • Get a list of users authorized to use resources
          • Get a list of user-authorized resources
          • Get the structure list of external user authorization resources
          • Judge the user's permissions under the same level resources of the tree resource
        • Manage Applications

        • Manage Identity Sources

        • Manage security configuration

        • Manage message service

        • Manage Pipeline

        • Manage Webhook

        • Get audit log

        • Manage metering and billing

        • Events
    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. Management module

  8. /
  9. Manage data resources and permissions

  10. /
  11. Create array data resources

¶ Create array data resource

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the document description is incorrect, please refer to V3 API.

When you only need to create array type data resources, you can use this API. We have fixed the data resource type, and you do not need to pass in the type character field. Note: The struct field can only pass in array type data.

¶ Method Name

ManagementClient.createDataResourceByArray

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
actionsstring[]Yes-Data resource permission operation list Array length limit: 50.["read","get"]
structstring[]Yes-Array data resource node Array length limit: 50.["exampleArrayStruct1","exampleArrayStruct2"]
resourceCodestringyes-Data resource Code, unique in the permission spacedataResourceTestCode
resourceNamestringyes-Data resource Name, unique in the permission spaceSample data resource Name
namespaceCodestringyes-Permission space where the data policy is locatedcode1
descriptionstringno-Data resource descriptionSample data resource description

¶ Sample Code

package test.management.dataPermission.resource;

import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.CreateArrayDataResourceDto;
import cn.authing.sdk.java.dto.CreateArrayDataResourceResponseDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

import java.util.ArrayList;
import java.util.List;

public class CreateDataResourceByArrayTest {
    // Need to be replaced with your GenAuth Access Key ID
    private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
    // Need to be replaced with your GenAuth Access Key Secret
    private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";

    public static void main(String[] args) throws Throwable {
        ManagementClientOptions clientOptions = new ManagementClientOptions();
        clientOptions.setAccessKeyId(ACCESS_KEY_ID);
        clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
        // If you are a private deployment customer, you need to set the GenAuth service domain name
        // clientOptions.setHost("https://api.your-authing-service.com");
        ManagementClient client = new ManagementClient(clientOptions);

        CreateArrayDataResourceDto reqDto = new CreateArrayDataResourceDto();
        reqDto.setResourceCode("arrayResourceCode");
        reqDto.setResourceName("Example array data resource");
        reqDto.setNamespaceCode("examplePermissionNamespace");
        List<String> list = new ArrayList<>();
        list.add("read");
        list.add("get");
        reqDto.setActions(list);
        List<String> list1 = new ArrayList<>();
        list1.add("exampleArrayStruct1");
        list1.add("exampleArrayStruct2");
        reqDto.setStruct(list1);
        reqDto.setDescription("Example Array Data Resource Description");
        CreateArrayDataResourceResponseDto response = client.createDataResourceByArray(reqDto);
        System.out.println(JsonUtils.serialize(response));
    }
}

¶ Request Response

Type: CreateArrayDataResourceResponseDto

NameTypeDescription
statusCodenumberBusiness status code. You can use this status code to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataCreateArrayDataResourceRespDtoResponse data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "resourceName": "Example Array Data Resource Name",
    "resourceCode": "dataResourceTestCode",
    "type": "TREE",
    "description": "Example Array Data Resource Description",
    "struct": "[\"exampleArrayStruct1\",\"exampleArrayStruct2\"]",
    "actions": "[\"read\",\"get\"]"
  }
}

¶ Data Structure

¶ CreateArrayDataResourceRespDto

NameType
Is it required
Description
Example Value
resourceNamestringyesData resource name, unique in the permission spaceExample data resource name
resourceCodestringyesData resource code, unique in the permission spacedataResourceTestCode
typestringyesData resource type, currently supports tree structure (TREE), string (STRING), array (ARRAY)TREE
descriptionstringnoData resource descriptionExample data resource description
structarrayyesArray data resource node Array length limit: 50.["exampleArrayStruct1","exampleArrayStruct2"]
actionsarrayyesData resource permission operation list Array length limit: 50.["read","get"]
Previous article: Create string data resources Next article: Create tree data resources
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.